package com.njcn.supervision.service.device;


import com.njcn.bpm.pojo.param.instance.BpmProcessInstanceCancelParam;
import com.njcn.bpm.service.IBpmReasonService;
import com.njcn.supervision.pojo.param.device.SupervisionTempLineRunTestParam;
import com.njcn.supervision.pojo.po.device.SupervisionTempLineRunTestPO;
import com.njcn.supervision.pojo.vo.device.SupervisionTempLineRunTestVO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hongawen
 * @since 2024-05-21
 */
public interface ISupervisionTempLineRunTestService extends IBpmReasonService<SupervisionTempLineRunTestPO> {

    Boolean addRunTest(SupervisionTempLineRunTestParam supervisionTempLineRunTestParam);

    String updateRunTest(SupervisionTempLineRunTestParam.SupervisionTempLineRunTestUpdateParam supervisionTempLineRunTestParam);

    void isTestRunStartOrEnd(HttpServletResponse response);

    SupervisionTempLineRunTestVO getRunTestById(String id);

    String cancel(BpmProcessInstanceCancelParam cancelReqVO);

    Boolean deleteTempLineRunTestReport(List<String> supervisionId);
}
